﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace AjaxQ3Webinar
{
  public partial class _5_Scheduler : System.Web.UI.Page
  {

    #region Schedule Data

    public static readonly List<ScheduleItem> WebinarWeek = new List<ScheduleItem>
    {
      new ScheduleItem
      {
        ID = 1,
        Title = "New for ASP.NET AJAX: Audio, Video, and Cloud Capabilities",
        StartDateTime = new DateTime(2013,10,28, 11,0,0),
        EndDateTime = new DateTime(2013, 10,28,12,0,0)
      },
      new ScheduleItem
      {
        ID = 2,
        Title = "Tuning into XAML - What's New in RadControls for WPF/SL, Windows Phone and Windows 8 Q3 2013",
        StartDateTime = new DateTime(2013,10,29,11,0,0),
        EndDateTime = new DateTime(2013,10,29,12,0,0)
      },
      new ScheduleItem
      {
        ID = 3,
        Title = "Sneak Peek into the New Test Studio: Load Test Your UI and Web Services",
        StartDateTime = new DateTime(2013,10,30,11,0,0),
        EndDateTime = new DateTime(2013,10,30,12,0,0)
      },
      new ScheduleItem
      {
        ID = 4,
        Title = "What’s New in RadControls for WinForms Q3 2013",
        StartDateTime = new DateTime(2013,10,30,13,0,0),
        EndDateTime = new DateTime(2013,10,30,13,45,0)
      },
      new ScheduleItem
      {
        ID = 5,
        Title = "Telerik Just* Tools – What Every Developer Needs",
        StartDateTime = new DateTime(2013,10,31,11,0,0),
        EndDateTime = new DateTime(2013,10,31,12,30,0)
      },
      new ScheduleItem
      {
        ID = 6,
        Title = "What’s New for the HTML/JavaScript Developer in RadControls for Windows HTML and the HTML5 Report Viewer",
        StartDateTime = new DateTime(2013, 10,31,13,0,0),
        EndDateTime = new DateTime(2013,10,31, 14,0,0)
      },
      new ScheduleItem
      {
        ID = 7,
        Title = "Your PM Tool Shouldn’t Get in Your Way: Introducing the New TeamPulse Integration with Git and GitHub",
        StartDateTime = new DateTime(2013,11,1,11,0,0),
        EndDateTime = new DateTime(2013,11,1,12,0,0)
      },
      new ScheduleItem
      {
        ID = 8,
        Title = "Icenium Introduces Visual Studio Extension",
        StartDateTime = new DateTime(2013,11,1,13,0,0),
        EndDateTime = new DateTime(2013,11,1,14,0,0)
      }
    };

    #endregion

    protected void Page_Load(object sender, EventArgs e)
    {
      mySchedule.DataSource = WebinarWeek;
      mySchedule.DataKeyField = "ID";
      mySchedule.DataSubjectField = "Title";
      mySchedule.DataStartField = "StartDateTime";
      mySchedule.DataEndField = "EndDateTime";
      mySchedule.DataBind();

    }


    public class ScheduleItem
    {
      public int ID { get; set; }

      public string Title { get; set; }

      public DateTime StartDateTime { get; set; }

      public DateTime EndDateTime { get; set; }

    }

  }
}